Name:           milter-regex
Version:        1.6
Release:        7%{?dist}
Summary:        Sendmail milter plugin for regular expression filtering
Group:          System Environment/Daemons
License:        BSD
URL:            http://www.benzedrine.cx/milter-regex.html
Source0:        http://www.benzedrine.cx/milter-regex-%{version}.tar.gz
Source1:        milter-regex-initscript
Source2:        milter-regex-options
Patch0:         milter-regex-1.6-gcc.patch
Buildroot:      %{_tmppath}/%{name}-%{release}-root-%(%{__id_u} -n)
Buildrequires:  sendmail-devel >= 8.13, byacc, groff
Requires:       sendmail

Requires(pre):    /usr/sbin/useradd
Requires(post):   /usr/sbin/useradd
Requires(preun):  /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service

%description
Milter-regex is a milter based filter that makes it possible to filter
emails using regular expressions.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .gcc
%{__sed} -i -e 's+/etc/milter-regex\.conf+%{_sysconfdir}/mail/milter-regex.conf+' milter-regex.[8c]
%{__sed} -i -e 's+_milter-regex+mregex+' milter-regex.[8c]
/usr/bin/head -n +31 milter-regex.c > LICENSE

%build
%{__make} %{?_smp_mflags} -f Makefile.linux CFLAGS="%{optflags}"

%install
%{__rm} -rf   %{buildroot}
%{__mkdir} -p %{buildroot}%{_sbindir} \
              %{buildroot}%{_sysconfdir}/{rc.d/init.d,mail,sysconfig} \
              %{buildroot}%{_mandir}/man8 \
              %{buildroot}%{_localstatedir}/spool/milter-regex
%{__cp} -p milter-regex   %{buildroot}%{_sbindir}
%{__cp} -p milter-regex.8 %{buildroot}%{_mandir}/man8
%{__install} -p -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/milter-regex
%{__install} -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/milter-regex

%{__cat} > %{buildroot}%{_sysconfdir}/mail/milter-regex.conf << EOF
# Insert here Your milter-regex rules.
# See manpage milter-regex for details.
# You don't need to reload config; milter-regex reloads it when it changes.

EOF

# Create a ghost sock file so we can remove it on package deletion
: > %{buildroot}%{_localstatedir}/spool/milter-regex/sock

%pre
/usr/sbin/useradd -r -M -d / -s /sbin/nologin -c "Regex Milter" mregex &> /dev/null || :

%post
/sbin/chkconfig --add milter-regex || :

%preun
if [ $1 -eq 0 ] ; then
        /sbin/service milter-regex stop &> /dev/null || :
        /sbin/chkconfig --del milter-regex || :
fi

%postun
[ $1 -eq 0 ] && /sbin/service milter-regexp condrestart &> /dev/null || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_sbindir}/milter-regex
%{_sysconfdir}/rc.d/init.d/milter-regex
%config(noreplace) %{_sysconfdir}/sysconfig/milter-regex
%config(noreplace) %{_sysconfdir}/mail/milter-regex.conf
%dir %attr(755,mregex,mregex) %{_localstatedir}/spool/milter-regex/
%ghost %{_localstatedir}/spool/milter-regex/sock
%{_mandir}/man8/milter-regex.8*

%changelog
* Wed Apr 18 2007 Paul Howarth <paul@city-fan.org> - 1.6-7
- add patch for compile errors on Fedora 7
- use sed rather than perl for quick scripted edits

* Tue Aug 29 2006 Paul Howarth <paul@city-fan.org> - 1.6-6
- rebuild for dynamic linking speedups (FE6)

* Thu May 25 2006 Paul Howarth <paul@city-fan.org> - 1.6-5
- Address issues raised in review (#189611)
-   Add sendmail dependency
-   Honor %%{optflags}

* Fri Apr 21 2006 Paul Howarth <paul@city-fan.org> - 1.6-4
- Minor cosmetic changes for resubmission for Fedora Extras

* Fri Nov 18 2005 Paul Howarth <paul@city-fan.org> - 1.6-3
- Remove redundant ver_ and rel_ macros
- Don't include package name in the summary
- Use macros consistently
- Generate LICENSE file in %%prep rather than %%install
- Don't strip binary, so debuginfo package is useful
- Combine groupadd+useradd into a single useradd command
- Use /sbin/nologin for mregex shell instead of non-existent /bin/nologin
- Don't delete user+group on package removal (see
  http://www.redhat.com/archives/fedora-extras-commits/2005-June/msg00271.html)
- Install initscript in %%{_sysconfdir} rather than /etc/init.d
- Don't enable service by default on installation
- Add scriptlet dependencies
- Add buildreq groff
- Use full URL for source
- Edit username in man page as well as in code
- Use install rather than cp to install %%{SOURCE1} and %%{SOURCE2} so
  that permissions don't need to be set in SRPM
- Ghost the socket for clean package removal
- Buildreq sendmail-devel >= 8.13.0 because of the use of SMFIF_QUARANTINE
- Use dist tag

* Tue Jan 25 2005 Victor Ramirez <vramirez@gmail.com> - 1.6-2 
- Initial rpm release
- Modified user and configuration file location.

